%define upstream_name    txt2html
%define module_name      HTML-TextToHTML
%define upstream_version 2.5201

Name:       perl-%{module_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Convert plain text file to HTML
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

Provides:   %{upstream_name}

BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::More)
BuildRequires: perl(YAML::Syck)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch
# dependencies of txt2html script, not gathered automatically because of #52267
Requires:   perl(Pod::Usage)
Requires:   perl(Getopt::Long)
Requires:   perl(File::Basename)
Requires:   perl(Getopt::ArgvFile)
%description
HTML::TextToHTML converts plain text files to HTML. The txt2html
script uses this module to do the same from the command-line.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes DEVNOTES LICENSE META.yml MYMETA.yml README TODO
%{_bindir}/txt2html
%{_mandir}/man1/txt2html.1*
%{_mandir}/man3/HTML*
%perl_vendorlib/HTML*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.520.100-5.mga6
+ Revision: 1028373
- Rebuild for perl 5.22.2

* Sat Jan 30 2016 umeabot <umeabot> 2.520.100-4.mga6
+ Revision: 929070
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.520.100-3.mga5
+ Revision: 745600
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.520.100-2.mga5
+ Revision: 684977
- Mageia 5 Mass Rebuild

* Mon Feb 17 2014 jquelin <jquelin> 2.520.100-1.mga5
+ Revision: 593405
- update to 2.5201

* Fri Oct 18 2013 umeabot <umeabot> 2.520.0-3.mga4
+ Revision: 512088
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.520.0-2.mga3
+ Revision: 368153
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 06 2012 jquelin <jquelin> 2.520.0-1.mga3
+ Revision: 268453
- update to 2.52

* Thu Jan 20 2011 jquelin <jquelin> 2.510.0-1.mga1
+ Revision: 26341
- mageia rebuild
- imported package perl-HTML-TextToHTML


* Tue Jul 14 2009 Anssi Hannula <anssi@mandriva.org> 2.510.0-1mdv2010.0
+ Revision: 395994
- initial Mandriva release

